## syslog-ng-3.22.1.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
set(CMAKE_MACOSX_RPATH 1)

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

project(syslog-ng C)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules ${PROJECT_SOURCE_DIR}/cmake/)
set(CMAKE_POSITION_INDEPENDENT_CODE 1)
set(BISON_FLAGS "-Wno-other -Werror=conflicts-sr -Werror=conflicts-rr")

include(CheckIncludeFiles)
include(ExternalProject)
include(external_or_find_package)
include(add_tests)
include(module_switch)

set(MEMORYCHECK_SUPPRESSIONS_FILE "${PROJECT_SOURCE_DIR}/tests/valgrind/unit-test-leak.supp")
set(MEMORYCHECK_COMMAND_OPTIONS "--num-callers=30 --sim-hints=no-nptl-pthread-stackcache --gen-suppressions=all --leak-check=full --freelist-vol=200000000 --freelist-big-blocks=10000000 --malloc-fill=55 --free-fill=AA")

execute_process(COMMAND ${PROJECT_SOURCE_DIR}/scripts/version.sh SET OUTPUT_VARIABLE SYSLOG_NG_VERSION)
set(SYSLOG_NG_COMBINED_VERSION ${SYSLOG_NG_VERSION})
set(SYSLOG_NG_SOURCE_REVISION ${SYSLOG_NG_VERSION})

set(SYSLOG_NG_PATH_PREFIX ${CMAKE_INSTALL_PREFIX})
set(SYSLOG_NG_PATH_SYSCONFDIR "\${prefix}/etc")
set(SYSLOG_NG_PATH_DATADIR "\${datarootdir}")
set(SYSLOG_NG_PATH_PIDFILEDIR "\${localstatedir}")
set(SYSLOG_NG_PATH_LOCALSTATEDIR "\${prefix}/var")
set(SYSLOG_NG_MODULE_PATH "\${exec_prefix}/lib/syslog-ng")
set(SYSLOG_NG_PATH_EXECPREFIX "\${prefix}")
set(SYSLOG_NG_PATH_CONFIG_INCLUDEDIR "\${datadir}/syslog-ng/include")
set(SYSLOG_NG_PATH_SCLDIR "\${datadir}/syslog-ng/include/scl")
set(SYSLOG_NG_PATH_LIBEXECDIR "\${exec_prefix}/libexec")
set(SYSLOG_NG_PATH_DATAROOTDIR "\${prefix}/share")
set(SYSLOG_NG_ENABLE_TCP_WRAPPER 0)
set(SYSLOG_NG_ENABLE_GPROF 0)
set(SYSLOG_NG_ENABLE_MEMTRACE 0)
set(SYSLOG_NG_ENABLE_SYSTEMD 0)
set(SYSLOG_NG_PATH_MODULEDIR "\${exec_prefix}/lib/syslog-ng")
set(SYSLOG_NG_PACKAGE_NAME "${CMAKE_PROJECT_NAME}")
set(SYSLOG_NG_PATH_XSDDIR "\${datadir}/syslog-ng/xsd")
set(SYSLOG_NG_JAVA_MODULE_PATH "\${exec_prefix}/lib/syslog-ng/java-modules")
set(SYSLOG_NG_PYTHON_MODULE_DIR "\${exec_prefix}/lib/syslog-ng/python")
set(SYSLOG_NG_PATH_TOPSRC_DIR "${PROJECT_SOURCE_DIR}")
set(LIBDIR "\${exec_prefix}/lib")
set(INCLUDEDIR "\${prefix}/include")
set(TOOLSDIR "\${datadir}/syslog-ng/tools")
set(SYSLOG_NG_ENABLE_FORCED_SERVER_MODE 1)

set (LOGGEN_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/syslog-ng/loggen")

IF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
  set(SYSLOG_NG_ENABLE_DEBUG 1)
ELSE()
  set(SYSLOG_NG_ENABLE_DEBUG 0)
ENDIF()

include(CheckTypeSize)
include(CheckStructMember)
include(CheckSymbolExists)
include(GenerateYFromYm)
include(CheckStructHasMember)
include(CheckCSourceCompiles)

add_definitions(-D_GNU_SOURCE=1)
add_definitions(-D_LARGEFILE64_SOURCE=1)

include(CheckSockaddrStorage)
if (HAVE_STRUCT_SOCKADDR_STORAGE)
    set(SYSLOG_NG_HAVE_STRUCT_SOCKADDR_STORAGE 1)
else()
    set(SYSLOG_NG_HAVE_STRUCT_SOCKADDR_STORAGE 0)
endif()

include(CheckCreds)
set(SYSLOG_NG_HAVE_STRUCT_UCRED (HAVE_STRUCT_UCRED OR HAVE_STRUCT_CMSGCRED))
check_struct_member ("struct msghdr" "msg_control" "sys/types.h;sys/socket.h" SYSLOG_NG_HAVE_CTRLBUF_IN_MSGHDR)

include(CheckIPv6)

module_switch(ENABLE_IPV6 "Enable IPv6")
if (ENABLE_IPV6)
    set(SYSLOG_NG_ENABLE_IPV6 ${HAVE_IPV6})
endif()

if (NOT APPLE)
  set(SYSLOG_NG_HAVE_ENVIRON 1)
endif()

option(ENV_LD_LIBRARY_PATH "Set LD_LIBRARY_PATH during runtime to the value given" "")
if (ENV_LD_LIBRARY_PATH)
  set(SYSLOG_NG_ENABLE_ENV_WRAPPER 1)
endif()

set(CMAKE_REQUIRED_DEFINITIONS "-D_LARGEFILE64_SOURCE=1")
set(CMAKE_EXTRA_INCLUDE_FILES "fcntl.h")
check_type_size(O_LARGEFILE O_LARGEFILE)
if (HAVE_O_LARGEFILE)
  set(SYSLOG_NG_HAVE_O_LARGEFILE 1)
endif()

check_c_source_compiles("
#include <pthread.h>
__thread int a; int main() { a=0; }" SYSLOG_NG_HAVE_THREAD_KEYWORD)


check_symbol_exists(strtoll stdlib.h SYSLOG_NG_HAVE_STRTOLL)
check_symbol_exists(strnlen string.h SYSLOG_NG_HAVE_STRNLEN)
check_symbol_exists(strtok_r string.h SYSLOG_NG_HAVE_STRTOK_R)
check_symbol_exists(strtoimax inttypes.h SYSLOG_NG_HAVE_STRTOIMAX)
check_symbol_exists(inet_aton "sys/socket.h;netinet/in.h;arpa/inet.h" SYSLOG_NG_HAVE_INET_ATON)
check_symbol_exists(inet_ntoa "sys/socket.h;netinet/in.h;arpa/inet.h" SYSLOG_NG_HAVE_INET_NTOA)
check_symbol_exists(getutent utmp.h SYSLOG_NG_HAVE_GETUTENT)
check_symbol_exists(getutxent utmpx.h SYSLOG_NG_HAVE_GETUTXENT)
check_symbol_exists(getaddrinfo "netdb.h;sys/socket.h;sys/types.h" SYSLOG_NG_HAVE_GETADDRINFO)
check_symbol_exists(getnameinfo "netdb.h;sys/socket.h" SYSLOG_NG_HAVE_GETNAMEINFO)
check_symbol_exists(getprotobynumber_r "netdb.h" SYSLOG_NG_HAVE_GETPROTOBYNUMBER_R)
check_symbol_exists(clock_gettime "time.h" SYSLOG_NG_HAVE_CLOCK_GETTIME)
check_symbol_exists(gmtime_r "time.h" SYSLOG_NG_HAVE_GMTIME_R)
check_symbol_exists(localtime_r "time.h" SYSLOG_NG_HAVE_LOCALTIME_R)
check_symbol_exists("getrandom" "sys/random.h" SYSLOG_NG_HAVE_GETRANDOM)
check_symbol_exists(fmemopen "stdio.h" SYSLOG_NG_HAVE_FMEMOPEN)
set(CMAKE_REQUIRED_DEFINITIONS "-D_GNU_SOURCE=1")
check_symbol_exists(memrchr "string.h" SYSLOG_NG_HAVE_MEMRCHR)
check_symbol_exists(strcasestr "string.h" SYSLOG_NG_HAVE_STRCASESTR)
check_symbol_exists(pread "unistd.h" SYSLOG_NG_HAVE_PREAD)
check_symbol_exists(pwrite "unistd.h" SYSLOG_NG_HAVE_PWRITE)
check_symbol_exists(timezone time.h SYSLOG_NG_HAVE_TIMEZONE)

check_include_files(utmp.h SYSLOG_NG_HAVE_UTMP_H)
check_include_files(utmpx.h SYSLOG_NG_HAVE_UTMPX_H)
check_include_files(dlfcn.h SYSLOG_NG_HAVE_DLFCN_H)
check_include_files(getopt.h SYSLOG_NG_HAVE_GETOPT_H)

check_struct_has_member("struct utmpx" "ut_type" "utmpx.h" UTMPX_HAS_UT_TYPE LANGUAGE C)
check_struct_has_member("struct utmp" "ut_type" "utmp.h" UTMP_HAS_UT_TYPE LANGUAGE C)
check_struct_has_member("struct utmpx" "ut_user" "utmpx.h" UTMPX_HAS_UT_USER LANGUAGE C)
check_struct_has_member("struct utmp" "ut_user" "utmp.h" UTMP_HAS_UT_USER LANGUAGE C)
check_struct_has_member("struct tm" "tm_gmtoff" "sys/time.h;time.h" SYSLOG_NG_HAVE_STRUCT_TM_TM_GMTOFF)


if ((UTMPX_HAS_UT_TYPE AND UTMPX_HAS_UT_USER) OR (UTMPX_HAS_UT_TYPE AND UTMP_HAS_UT_USER))
  set(SYSLOG_NG_HAVE_MODERN_UTMP 1)
endif()

set(WITH_GETTEXT "" CACHE STRING "Set the prefix where gettext is installed (e.g. /usr)")

set(CMAKE_C_STANDARD 99)

find_package(BISON 2.4 REQUIRED)
find_package(GLIB COMPONENTS gmodule gthread 2.26.1 REQUIRED)

set(CMAKE_REQUIRED_INCLUDES ${GLIB_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${GLIB_LIBRARIES})
check_symbol_exists(g_list_copy_deep "glib.h" SYSLOG_NG_HAVE_G_LIST_COPY_DEEP)
check_symbol_exists(g_queue_free_full "glib.h" SYSLOG_NG_HAVE_G_QUEUE_FREE_FULL)
check_symbol_exists(g_list_free_full "glib.h" SYSLOG_NG_HAVE_G_LIST_FREE_FULL)
check_symbol_exists(g_ptr_array_find_with_equal_func "glib.h" SYSLOG_NG_HAVE_G_PTR_ARRAY_FIND_WITH_EQUAL_FUNC)

set (SYSLOG_NG_USE_CONST_IVYKIS_MOCK 1)
external_or_find_package(IVYKIS REQUIRED)
if ((NOT IVYKIS_INTERNAL) AND (IVYKIS_PKGCONF_VERSION VERSION_LESS "0.39"))
  set (SYSLOG_NG_USE_CONST_IVYKIS_MOCK 0)
endif()

find_package(OpenSSL REQUIRED)
find_package(FLEX REQUIRED)
find_package(LibNet REQUIRED)
find_package(Resolv REQUIRED)
find_package(Wrap)
find_package(criterion)
find_package(Inotify)
find_package(LIBCAP)

find_package(systemd)
module_switch(ENABLE_JOURNALD "Enable systemd-journal" Libsystemd_FOUND)
set(WITH_SYSTEMD_JOURNAL "system" CACHE STRING "Link against the system supplied or the wrapper library")
set_property(CACHE WITH_SYSTEMD_JOURNAL PROPERTY STRINGS system wrapper)

if (ENABLE_JOURNALD)
  if (WITH_SYSTEMD_JOURNAL STREQUAL "system" AND NOT Libsystemd_FOUND)
    message(FATAL_ERROR "systemd library not found")
  endif()

  set(SYSLOG_NG_ENABLE_SYSTEMD 1)
  if (WITH_SYSTEMD_JOURNAL STREQUAL "system")
    set(SYSLOG_NG_SYSTEMD_JOURNAL_MODE SYSLOG_NG_JOURNALD_SYSTEM)
  elseif (WITH_SYSTEMD_JOURNAL STREQUAL "wrapper")
    set(SYSLOG_NG_SYSTEMD_JOURNAL_MODE SYSLOG_NG_JOURNALD_OPTIONAL)
  endif()
else()
  set(SYSLOG_NG_ENABLE_SYSTEMD 0)
  set(SYSLOG_NG_SYSTEMD_JOURNAL_MODE SYSLOG_NG_JOURNALD_OFF)
endif()

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
set(SYSLOG_NG_HAVE_INOTIFY "${Inotify_FOUND}")

set (PYTHON_VERSION "AUTO" CACHE STRING "Version of the installed development library" )

if ("${PYTHON_VERSION}" STREQUAL "AUTO")
  find_package(PythonInterp)
  find_package(PythonLibs)
else ()
  find_package(PythonInterp EXACT "${PYTHON_VERSION}" REQUIRED)
  find_package(PythonLibs EXACT "${PYTHON_VERSION}" REQUIRED)
endif ()

set (NOSETESTS "" CACHE STRING "nosetests binary")
set (PYLINT "" CACHE STRING "pylint binary")

if (NOSETESTS)
  set(NOSETESTS_BIN ${NOSETESTS})
else ()
  if (PYTHON_VERSION STREQUAL "3")
    find_program(NOSETESTS_BIN "nosetests3")
      if (NOT NOSETESTS_BIN)
        find_program(NOSETESTS_BIN "nosetests")
      endif()
  else ()
    find_program(NOSETESTS_BIN "nosetests")
  endif ()
endif()

if (PYLINT)
  set(PYLINT_BIN ${PYLINT})
else ()
  if (PYTHON_VERSION STREQUAL "3")
    find_program(PYLINT_BIN "pylint3")
      if (NOT PYLINT_BIN)
        find_program(PYLINT_BIN "pylint")
      endif()
  else ()
    find_program(PYLINT_BIN "pylint")
  endif ()
endif()

include(openssl_functions)
openssl_set_defines()

pkg_check_modules(LIBPCRE REQUIRED libpcre)

if (WRAP_FOUND)
  set(SYSLOG_NG_ENABLE_TCP_WRAPPER 1)
endif()

if (LIBNET_FOUND)
  set(SYSLOG_NG_ENABLE_SPOOF_SOURCE 1)
endif()

set(SYSLOG_NG_ENABLE_LINUX_CAPS ${LIBCAP_FOUND})

if (WITH_GETTEXT)
    set(CMAKE_PREFIX_PATH ${WITH_GETTEXT})
    find_package(Gettext REQUIRED QUIET)
    set(CMAKE_PREFIX_PATH "")
else()
    find_package(Gettext REQUIRED QUIET)
endif()

set(Eventlog_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/lib/eventlog/src")

add_custom_target(style-check  COMMAND ${PROJECT_SOURCE_DIR}/scripts/style-checker.sh check  ${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
add_custom_target(style-format COMMAND ${PROJECT_SOURCE_DIR}/scripts/style-checker.sh format ${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
add_custom_target(check-copyright
  COMMAND ${PROJECT_SOURCE_DIR}/tests/copyright/check.sh . ${PROJECT_BINARY_DIR} policy
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
set_target_properties(check-copyright PROPERTIES
  ADDITIONAL_MAKE_CLEAN_FILES
  "copyright-run.log;copyright-err.log")

# The inclusion of CTest triggers enable_testing()
# CMake will generate tests only if the enable_testing() command has been invoked.
# The CTest module invokes the command automatically when the BUILD_TESTING option is ON.

if (CRITERION_FOUND)
  option(BUILD_TESTING "Enable unit tests" ON)
else()
  option(BUILD_TESTING  "Enable unit tests" OFF)
endif()

if (BUILD_TESTING AND NOT CRITERION_FOUND)
  message(FATAL_ERROR "BUILD_TESTING enabled without criterion detected!")
endif()

if (CRITERION_FOUND)
  set(CTEST_ENVIRONMENT
    "G_SLICE=always-malloc,debug-blocks"
    "G_DEBUG=fatal-warnings,fatal-criticals,gc-friendly")
  include(CTest)
endif()

set(IMPORTANT_WARNINGS
  -Wshadow
  -fcommon)

set(ACCEPTABLE_WARNINGS
  -Wno-stack-protector
  -Wno-unused-parameter
  -Wno-variadic-macros)

option(ENABLE_EXTRA_WARNINGS "Enable extra warnings" ON)
if (ENABLE_EXTRA_WARNINGS)
  set(EXTRA_WARNINGS
    -Wimplicit-function-declaration
    -Wnested-externs
    -Wold-style-declaration
    -Wstrict-prototypes
    -Wswitch-default
    -Wall
    -Wmissing-parameter-type
    -Wuninitialized
    -Wunused-but-set-parameter
    -Wcast-align
    -Wdeprecated
    -Wdeprecated-declarations
    -Woverflow
    -Wdouble-promotion
    -Wfloat-equal
    -Wpointer-arith
    -Wpointer-sign
    -Wmissing-format-attribute
    -Wsuggest-attribute=noreturn

=== lib/CMakeLists.txt ===
flex_target(CfgLexer
    ${PROJECT_SOURCE_DIR}/lib/cfg-lex.l
    ${PROJECT_BINARY_DIR}/lib/cfg-lex.c
    ${PROJECT_BINARY_DIR}/lib/cfg-lex.h)

bison_target(CfgGrammar
    ${PROJECT_SOURCE_DIR}/lib/cfg-grammar.y
    ${PROJECT_BINARY_DIR}/lib/cfg-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})
add_flex_bison_dependency(CfgLexer CfgGrammar)

add_subdirectory(ack-tracker)
add_subdirectory(compat)
add_subdirectory(control)
add_subdirectory(debugger)
add_subdirectory(filter)
add_subdirectory(logmsg)
add_subdirectory(logproto)
add_subdirectory(parser)
add_subdirectory(rewrite)
add_subdirectory(stats)
add_subdirectory(template)
add_subdirectory(transport)
add_subdirectory(value-pairs)
add_subdirectory(scanner)
add_subdirectory(str-repr)
add_subdirectory(timeutils)
add_subdirectory(eventlog)
add_subdirectory(secret-storage)
add_subdirectory(logthrsource)
add_subdirectory(logthrdest)
add_subdirectory(http-auth)

set(LIB_SUBDIR_HEADERS
    ${ACK_TRACKER_HEADERS}
    ${COMPAT_HEADERS}
    ${CONTROL_HEADERS}
    ${DEBUGGER_HEADERS}
    ${FILTER_HEADERS}
    ${LOGMSG_HEADERS}
    ${LOGPROTO_HEADERS}
    ${PARSER_HEADERS}
    ${REWRITE_HEADERS}
    ${STATS_HEADERS}
    ${TEMPLATE_HEADERS}
    ${TRANSPORT_HEADERS}
    ${VALUE_PAIRS_HEADERS}
    ${CSV_SCANNER_HEADERS}
    ${LIST_SCANNER_HEADERS}
    ${KV_SCANNER_HEADERS}
    ${XML_SCANNER_HEADERS}
    ${STR_REPR_HEADERS}
    ${TIMEUTILS_HEADERS}
    ${LOGTHRDEST_HEADERS}
    ${LOGTHRSOURCE_HEADERS}
    ${HTTP_AUTH_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/filter/filter-expr-grammar.h
    ${CMAKE_CURRENT_BINARY_DIR}/rewrite/rewrite-expr-grammar.h
    ${CMAKE_CURRENT_BINARY_DIR}/parser/parser-expr-grammar.h
)

set (LIB_HEADERS
    afinter.h
    alarms.h
    apphook.h
    atomic.h
    atomic-gssize.h
    block-ref-parser.h
    cache.h
    cfg.h
    cfg-lexer.h
    cfg-lexer-subst.h
    cfg-args.h
    cfg-block.h
    cfg-block-generator.h
    cfg-parser.h
    cfg-tree.h
    children.h
    crypto.h
    dnscache.h
    driver.h
    dynamic-window-pool.h
    dynamic-window.h
    fdhelpers.h
    file-perms.h
    find-crlf.h
    gprocess.h
    gsockaddr.h
    gsocket.h
    hostname.h
    host-resolve.h
    logmatcher.h
    logmpx.h
    logpipe.h
    logqueue-fifo.h
    logqueue.h
    logreader.h
    logsource.h
    logwriter.h
    mainloop.h
    mainloop-call.h
    mainloop-worker.h
    mainloop-io-worker.h
    module-config.h
    memtrace.h
    messages.h
    ml-batched-timer.h
    mainloop-control.h
    msg-format.h
    msg-stats.h
    parse-number.h
    pathutils.h
    persist-state.h
    persistable-state-header.h
    persistable-state-presenter.h
    plugin.h
    plugin-types.h
    poll-events.h
    poll-fd-events.h
    pragma-parser.h
    presented-persistable-state.h
    reloc.h
    rcptid.h
    run-id.h
    scratch-buffers.h
    serialize.h
    service-management.h
    seqnum.h
    str-format.h
    str-utils.h
    syslog-names.h
    syslog-ng.h
    string-list.h
    tls-support.h
    thread-utils.h
    tlscontext.h
    type-hinting.h
    uuid.h
    userdb.h
    utf8utils.h
    versioning.h
    ringbuffer.h
    host-id.h
    resolved-configurable-paths.h
    window-size-counter.h
    ${PROJECT_BINARY_DIR}/lib/cfg-grammar.h
    ${PROJECT_BINARY_DIR}/lib/block-ref-grammar.h
    ${PROJECT_BINARY_DIR}/lib/cfg-lex.h
    ${PROJECT_BINARY_DIR}/lib/pragma-grammar.h
    )

set(LIB_SOURCES
    afinter.c
    alarms.c
    apphook.c
    block-ref-parser.c
    cache.c
    cfg.c
    cfg-args.c
    cfg-block.c
    cfg-block-generator.c
    cfg-lexer.c
    cfg-lexer-subst.c
    cfg-parser.c
    cfg-tree.c
    children.c
    dnscache.c
    driver.c
    dynamic-window.c
    dynamic-window-pool.c
    fdhelpers.c
    file-perms.c
    find-crlf.c
    globals.c
    gprocess.c
    gsockaddr.c
    gsocket.c
    hostname.c
    host-resolve.c
    logmatcher.c
    logmpx.c
    logpipe.c
    logqueue.c
    logqueue-fifo.c
    logreader.c
    logsource.c
    logwriter.c
    mainloop.c
    signal-handler.c
    mainloop-call.c
    mainloop-worker.c
    mainloop-io-worker.c
    module-config.c
    memtrace.c
    messages.c
    ml-batched-timer.c
    mainloop-control.c
    msg-format.c
    msg-stats.c
    parse-number.c
    pathutils.c
    persist-state.c
    plugin.c
    poll-events.c
    poll-fd-events.c
    pragma-parser.c
    persistable-state-presenter.c
    rcptid.c
    reloc.c
    run-id.c
    scratch-buffers.c
    serialize.c
    service-management.c
    str-format.c
    str-utils.c
    syslog-names.c
    string-list.c
    type-hinting.c
    ringbuffer.c
    crypto.c
    tlscontext.c
    uuid.c
    userdb.c
    utf8utils.c
    host-id.c
    resolved-configurable-paths.c
    window-size-counter.c
    ${ACK_TRACKER_SOURCES}
    ${COMPAT_SOURCES}
    ${CONTROL_SOURCES}
    ${DEBUGGER_SOURCES}
    ${FILTER_SOURCES}
    ${LOGMSG_SOURCES}
    ${LOGPROTO_SOURCES}
    ${PARSER_SOURCES}
    ${REWRITE_SOURCES}
    ${STATS_SOURCES}
    ${TEMPLATE_SOURCES}
    ${TRANSPORT_SOURCES}
    ${VALUE_PAIRS_SOURCES}
    ${SCANNER_SOURCES}
    ${STR_REPR_SOURCES}
    ${TIMEUTILS_SOURCES}
    ${LOGTHRDEST_SOURCES}
    ${LOGTHRSOURCE_SOURCES}
    ${PROJECT_BINARY_DIR}/lib/cfg-grammar.c
    ${PROJECT_BINARY_DIR}/lib/block-ref-grammar.c
    ${PROJECT_BINARY_DIR}/lib/cfg-lex.c
    ${PROJECT_BINARY_DIR}/lib/pragma-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/filter/filter-expr-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/rewrite/rewrite-expr-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/parser/parser-expr-grammar.c
    )

generate_y_from_ym (lib/block-ref-grammar)
bison_target(BlockRefGrammar
    ${PROJECT_BINARY_DIR}/lib/block-ref-grammar.y
    ${PROJECT_BINARY_DIR}/lib/block-ref-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})
add_flex_bison_dependency(CfgLexer BlockRefGrammar)

generate_y_from_ym (lib/pragma-grammar)
bison_target(PragmaGrammar
    ${PROJECT_BINARY_DIR}/lib/pragma-grammar.y
    ${PROJECT_BINARY_DIR}/lib/pragma-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})
add_flex_bison_dependency(CfgLexer PragmaGrammar)

generate_y_from_ym (lib/filter/filter-expr-grammar)
bison_target(FilterExprGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/filter/filter-expr-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/filter/filter-expr-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})
add_flex_bison_dependency(CfgLexer FilterExprGrammar)

generate_y_from_ym (lib/rewrite/rewrite-expr-grammar)
bison_target(RewriteExprGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/rewrite/rewrite-expr-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/rewrite/rewrite-expr-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})
add_flex_bison_dependency(CfgLexer RewriteExprGrammar)

generate_y_from_ym (lib/parser/parser-expr-grammar)
bison_target(ParserExprGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/parser/parser-expr-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/parser/parser-expr-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})
add_flex_bison_dependency(CfgLexer ParserExprGrammar)

set(CORE_INCLUDE_DIRS
    ${GLIB_INCLUDE_DIRS}
    ${Gettext_INCLUDE_DIR}
    ${IVYKIS_INCLUDE_DIR}
    ${LIBPCRE_INCLUDE_DIRS}
    ${LIBCAP_INCLUDE_DIR}
    ${Libsystemd_INCLUDE_DIRS}
)

add_library(syslog-ng SHARED ${LIB_SOURCES})

target_include_directories(syslog-ng
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_include_directories(syslog-ng
  SYSTEM PUBLIC
    ${CORE_INCLUDE_DIRS}
)

target_link_libraries(
    syslog-ng
  PUBLIC
    eventlog
    ${GLIB_GMODULE_LIBRARIES}
    ${GLIB_GTHREAD_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${Gettext_LIBRARIES}
    ${IVYKIS_LIBRARY}
    ${RESOLV_LIBRARIES}
    ${LIBPCRE_LIBRARIES}
    ${LIBCAP_LIBRARY}
    ${Libsystemd_LIBRARIES}
    OpenSSL::SSL
    OpenSSL::Crypto
    Threads::Threads
    secret-storage
)

set_target_properties(syslog-ng
    PROPERTIES VERSION ${SYSLOG_NG_VERSION}
    SOVERSION ${SYSLOG_NG_VERSION})

if (${IVYKIS_INTERNAL})
   add_dependencies(syslog-ng IVYKIS)
endif()

install(TARGETS syslog-ng LIBRARY DESTINATION lib)

install(FILES ${LIB_HEADERS} DESTINATION include/syslog-ng)

install(FILES ${VALUE_PAIRS_HEADERS} DESTINATION include/syslog-ng/value-pairs)
install(FILES ${COMPAT_HEADERS} DESTINATION include/syslog-ng/compat)
install(FILES ${CONTROL_HEADERS} DESTINATION include/syslog-ng/control)
install(FILES ${DEBUGGER_HEADERS} DESTINATION include/syslog-ng/debugger)
install(FILES ${FILTER_HEADERS} DESTINATION include/syslog-ng/filter)
install(FILES ${LOGMSG_HEADERS} DESTINATION include/syslog-ng/logmsg)
install(FILES ${LOGPROTO_HEADERS} DESTINATION include/syslog-ng/logproto)
install(FILES ${PARSER_HEADERS} DESTINATION include/syslog-ng/parser)
install(FILES ${REWRITE_HEADERS} DESTINATION include/syslog-ng/rewrite)
install(FILES ${STATS_HEADERS} DESTINATION include/syslog-ng/stats)
install(FILES ${TEMPLATE_HEADERS} DESTINATION include/syslog-ng/template)
install(FILES ${TRANSPORT_HEADERS} DESTINATION include/syslog-ng/transport)
install(FILES ${CSV_SCANNER_HEADERS} DESTINATION include/syslog-ng/scanner/csv-scanner)
install(FILES ${LOGTHRDEST_HEADERS} DESTINATION include/syslog-ng/logthrdest)
install(FILES ${LOGTHRSOURCE_HEADERS} DESTINATION include/syslog-ng/logthrsource)
install(FILES ${HTTP_AUTH_HEADERS} DESTINATION include/syslog-ng/http-auth)

set(TOOLS
    merge-grammar.py
    cfg-grammar.y
)

install(FILES ${TOOLS} DESTINATION share/syslog-ng/tools)

add_test_subdirectory(tests)

=== modules/CMakeLists.txt ===
add_subdirectory(add-contextual-data)
add_subdirectory(afamqp)
add_subdirectory(affile)
add_subdirectory(afprog)
add_subdirectory(afsmtp)
add_subdirectory(afsocket)
add_subdirectory(afsql)
add_subdirectory(afstomp)
add_subdirectory(afstreams)
add_subdirectory(afuser)
add_subdirectory(appmodel)
add_subdirectory(basicfuncs)
add_subdirectory(cef)
add_subdirectory(confgen)
add_subdirectory(cryptofuncs)
add_subdirectory(csvparser)
add_subdirectory(date)
add_subdirectory(dbparser)
add_subdirectory(diskq)
add_subdirectory(examples)
add_subdirectory(geoip)
add_subdirectory(geoip2)
add_subdirectory(getent)
add_subdirectory(graphite)
add_subdirectory(hook-commands)
add_subdirectory(http)
add_subdirectory(java)
add_subdirectory(java-modules)
add_subdirectory(json)
add_subdirectory(kafka)
add_subdirectory(kvformat)
add_subdirectory(linux-kmsg-format)
add_subdirectory(map-value-pairs)
add_subdirectory(native)
add_subdirectory(openbsd)
add_subdirectory(pacctformat)
add_subdirectory(pseudofile)
add_subdirectory(python)
add_subdirectory(redis)
add_subdirectory(riemann)
add_subdirectory(snmptrapd-parser)
add_subdirectory(stardate)
add_subdirectory(syslogformat)
add_subdirectory(systemd-journal)
add_subdirectory(system-source)
add_subdirectory(tagsparser)
add_subdirectory(xml)
add_subdirectory(snmp-dest)

=== lib/timeutils/CMakeLists.txt ===
set(TIMEUTILS_HEADERS
    timeutils/cache.h
    timeutils/conv.h
    timeutils/scan-timestamp.h
    timeutils/format.h
    timeutils/misc.h
    timeutils/names.h
    timeutils/unixtime.h
    timeutils/zoneinfo.h
    timeutils/wallclocktime.h
    PARENT_SCOPE)

set(TIMEUTILS_SOURCES
    timeutils/cache.c
    timeutils/conv.c
    timeutils/scan-timestamp.c
    timeutils/format.c
    timeutils/misc.c
    timeutils/names.c
    timeutils/unixtime.c
    timeutils/zoneinfo.c
    timeutils/wallclocktime.c
    PARENT_SCOPE)

add_test_subdirectory(tests)

=== modules/add-contextual-data/CMakeLists.txt ===
set(add_contextual_data_SOURCES
    add-contextual-data.c
    add-contextual-data.h
    add-contextual-data-parser.c
    add-contextual-data-parser.h
    add-contextual-data-plugin.c
    context-info-db.h
    context-info-db.c
    contextual-data-record.h
    contextual-data-record.c
    contextual-data-record-scanner.h
    contextual-data-record-scanner.c
    add-contextual-data-selector.h
    add-contextual-data-template-selector.h
    add-contextual-data-template-selector.c
    add-contextual-data-filter-selector.h
    add-contextual-data-filter-selector.c
    ${CMAKE_CURRENT_BINARY_DIR}/add-contextual-data-grammar.h
    ${CMAKE_CURRENT_BINARY_DIR}/add-contextual-data-grammar.c
)

generate_y_from_ym(modules/add-contextual-data/add-contextual-data-grammar)

bison_target(add_contextual_dataGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/add-contextual-data-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/add-contextual-data-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})

add_library(add_contextual_data SHARED ${add_contextual_data_SOURCES})
target_include_directories(add_contextual_data
  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
)
target_link_libraries(add_contextual_data PRIVATE syslog-ng)

install(TARGETS add_contextual_data LIBRARY DESTINATION lib/syslog-ng/ COMPONENT add_contextual_data)

add_test_subdirectory(tests)

=== modules/afsql/CMakeLists.txt ===
set(AFSQL_SOURCES
    afsql.c
    afsql.h
    afsql-parser.c
    afsql-parser.h
    afsql-plugin.c
    ${CMAKE_CURRENT_BINARY_DIR}/afsql-grammar.h
    ${CMAKE_CURRENT_BINARY_DIR}/afsql-grammar.c
)

find_package(LibDBI)
find_package(OpenSSL)

module_switch(ENABLE_SQL "Enable SQL plugin" LIBDBI_FOUND)
if (ENABLE_SQL)
    generate_y_from_ym(modules/afsql/afsql-grammar)

    bison_target(SqlGrammar
        ${CMAKE_CURRENT_BINARY_DIR}/afsql-grammar.y
        ${CMAKE_CURRENT_BINARY_DIR}/afsql-grammar.c
        COMPILE_FLAGS ${BISON_FLAGS})

    add_library(afsql MODULE ${AFSQL_SOURCES})
    target_link_libraries (afsql PUBLIC ${LIBDBI_LIBRARIES} PUBLIC ${OPENSSL_LIBRARIES})
    target_include_directories (afsql SYSTEM PRIVATE ${LIBDBI_INCLUDE_DIRS})
    target_include_directories (afsql PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(afsql PRIVATE syslog-ng)

    install(TARGETS afsql LIBRARY DESTINATION lib/syslog-ng/ COMPONENT afsql)
endif()

=== modules/date/CMakeLists.txt ===
set(DATE_PARSER_SOURCES
    date-plugin.c
    date-parser.c
    date-parser.h
    date-parser-parser.c
    date-parser-parser.h
    ${CMAKE_CURRENT_BINARY_DIR}/date-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/date-grammar.h
)

generate_y_from_ym(modules/date/date-grammar)

bison_target(DateParserGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/date-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/date-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})

add_library(date SHARED ${DATE_PARSER_SOURCES})
target_include_directories(date
  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
)
target_link_libraries(date PRIVATE syslog-ng)

install(TARGETS date LIBRARY DESTINATION lib/syslog-ng/ COMPONENT date)

add_test_subdirectory(tests)

=== modules/geoip/CMakeLists.txt ===
set(GEOIP_SOURCES
    geoip-parser.c
    geoip-parser.h
    geoip-parser-parser.c
    geoip-parser-parser.h
    geoip-plugin.c
    geoip-helper.c
    ${CMAKE_CURRENT_BINARY_DIR}/geoip-parser-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/geoip-parser-grammar.h
)

set(GEOIP_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")

generate_y_from_ym(modules/geoip/geoip-parser-grammar)

find_package(LibGeoIP)

module_switch(ENABLE_GEOIP "Enable GeoIP parser" LIBGEOIP_FOUND)
if (ENABLE_GEOIP)
    bison_target(GeoIPGrammar
        ${CMAKE_CURRENT_BINARY_DIR}/geoip-parser-grammar.y
        ${CMAKE_CURRENT_BINARY_DIR}/geoip-parser-grammar.c
        COMPILE_FLAGS ${BISON_FLAGS})

    add_library(geoip-plugin SHARED ${GEOIP_SOURCES})
    target_link_libraries (geoip-plugin PUBLIC ${LibGeoIP_LIBRARY})
    target_include_directories (geoip-plugin SYSTEM PRIVATE ${LibGeoIP_INCLUDE_DIR})
    target_include_directories (geoip-plugin PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(geoip-plugin PRIVATE syslog-ng)

    install(TARGETS geoip-plugin LIBRARY DESTINATION lib/syslog-ng/ COMPONENT geoip)

    add_test_subdirectory(tests)
endif()

=== modules/python/CMakeLists.txt ===
module_switch(ENABLE_PYTHON "Enable Python module" PYTHONLIBS_FOUND)
if (NOT ENABLE_PYTHON)
  return()
endif ()

if (NOT PYTHONLIBS_FOUND)
  message(FATAL_ERROR "Python module enabled, but python library not found.")
endif()

MESSAGE(STATUS "Found python ${PYTHONLIBS_VERSION_STRING}")

set(PYTHON_SOURCES
    python-module.h
    python-config.h
    python-config.c
    python-helpers.h
    python-helpers.c
    python-main.h
    python-main.c
    python-plugin.c
    python-value-pairs.c
    python-value-pairs.h
    python-dest.c
    python-dest.h
    python-tf.c
    python-tf.h
    python-parser.c
    python-parser.h
    python-logmsg.h
    python-logmsg.c
    python-logtemplate.h
    python-logtemplate.c
    python-logtemplate-options.h
    python-logtemplate-options.c
    python-global-code-loader.h
    python-global-code-loader.c
    python-debugger.c
    python-debugger.h
    python-logparser.h
    python-logparser.c
    python-integerpointer.h
    python-integerpointer.c
    python-logger.h
    python-logger.c
    python-source.h
    python-source.c
    python-fetcher.h
    python-fetcher.c
    compat/compat-python.c
    ${CMAKE_CURRENT_BINARY_DIR}/python-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/python-grammar.h
)

set (PYTHON_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")

generate_y_from_ym(modules/python/python-grammar)

bison_target(PythonGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/python-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/python-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})

add_subdirectory(pylib)
add_library(mod-python SHARED ${PYTHON_SOURCES})
target_include_directories (mod-python PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories (mod-python PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories (mod-python PRIVATE ${PYTHON_INCLUDE_DIRS})
target_link_libraries(mod-python PRIVATE syslog-ng ${PYTHON_LIBRARIES} ${Eventlog_LIBRARIES} ${IVYKIS_LIBRARIES})

include(CheckFunctionExists)
if (PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
  target_compile_definitions(mod-python PRIVATE SYSLOG_NG_ENABLE_PYTHONv2=1)
else ()
  target_compile_definitions(mod-python PRIVATE SYSLOG_NG_ENABLE_PYTHONv3=1)
endif ()

add_dependencies(mod-python SetupPylib)
install(TARGETS mod-python DESTINATION lib/syslog-ng/)

add_test_subdirectory(tests)

=== modules/riemann/CMakeLists.txt ===
set (RIEMANN_SOURCES
    riemann-grammar.y
    riemann.c
    riemann.h
    riemann-worker.c
    riemann-worker.h
    riemann-parser.c
    riemann-parser.h
    riemann-plugin.c
    ${CMAKE_CURRENT_BINARY_DIR}/riemann-grammar.c
    ${CMAKE_CURRENT_BINARY_DIR}/riemann-grammar.h
)

generate_y_from_ym(modules/riemann/riemann-grammar)

bison_target(RiemannGrammar
    ${CMAKE_CURRENT_BINARY_DIR}/riemann-grammar.y
    ${CMAKE_CURRENT_BINARY_DIR}/riemann-grammar.c
    COMPILE_FLAGS ${BISON_FLAGS})

find_package(RiemannClient)
if (SYSLOG_NG_HAVE_RIEMANN_MICROSECONDS)
  add_definitions("-DSYSLOG_NG_HAVE_RIEMANN_MICROSECONDS=1")
endif()

module_switch(ENABLE_RIEMANN "Enable riemann destination" Riemann_FOUND)
if (NOT ENABLE_RIEMANN)
  return()
endif()

if (NOT Riemann_FOUND)
  message(FATAL_ERROR "Riemann enabled but riemann-c-client is missing!")
endif()

add_library(riemann MODULE ${RIEMANN_SOURCES})
target_include_directories (riemann PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories (riemann PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories (riemann PRIVATE ${Riemann_INCLUDE_DIR})
target_link_libraries(riemann PRIVATE syslog-ng ${Riemann_LIBRARIES})

install(TARGETS riemann LIBRARY DESTINATION lib/syslog-ng/)

=== lib/filter/tests/CMakeLists.txt ===
set(TEST_FILTERS_FACILITY_SOURCE
  test_filters_facility.c
  test_filters_common.c
  test_filters_common.h
  )

set(TEST_FILTERS_LEVEL_NEW_SOURCE
  test_filters_level_new.c
  test_filters_common.c
  test_filters_common.h
  )

set(TEST_FILTERS_REGEXP_SOURCE
  test_filters_regexp.c
  test_filters_common.c
  test_filters_common.h
  )

set(TEST_FILTERS_FOP_CMP_SOURCE
  test_filters_fop_cmp.c
  test_filters_common.c
  test_filters_common.h
  )

set(TEST_FILTERS_NETMASK_SOURCE
  test_filters_netmask.c
  test_filters_common.c
  test_filters_common.h
  )

set(TEST_FILTERS_NETMASK6_SOURCE
  test_filters_netmask6.c
  test_filters_common.c
  test_filters_common.h
  )

add_unit_test(CRITERION TARGET test_filters_facility SOURCES ${TEST_FILTERS_FACILITY_SOURCE} DEPENDS syslogformat)
add_unit_test(CRITERION TARGET test_filters_level_new SOURCES ${TEST_FILTERS_LEVEL_NEW_SOURCE} DEPENDS syslogformat)
add_unit_test(LIBTEST CRITERION TARGET test_filters_regexp SOURCES ${TEST_FILTERS_REGEXP_SOURCE} DEPENDS syslogformat)
add_unit_test(CRITERION TARGET test_filters_fop_cmp SOURCES ${TEST_FILTERS_FOP_CMP_SOURCE} DEPENDS syslogformat)
add_unit_test(CRITERION TARGET test_filters_netmask SOURCES ${TEST_FILTERS_NETMASK_SOURCE} DEPENDS syslogformat)

add_unit_test(CRITERION TARGET test_filters_in_list DEPENDS syslogformat)

if (ENABLE_IPV6)
add_unit_test(CRITERION TARGET test_filters_netmask6 SOURCES ${TEST_FILTERS_NETMASK6_SOURCE} DEPENDS syslogformat)
endif()

add_unit_test(CRITERION TARGET test_filters_statistics DEPENDS syslogformat)

add_unit_test(CRITERION TARGET test_filter_call)

=== lib/template/tests/CMakeLists.txt ===
add_unit_test(LIBTEST CRITERION TARGET test_template_compile)
add_unit_test(LIBTEST CRITERION TARGET test_template_on_error)
add_unit_test(LIBTEST CRITERION TARGET test_template DEPENDS syslogformat basicfuncs)
add_unit_test(LIBTEST CRITERION TARGET test_template_speed DEPENDS syslogformat basicfuncs)

=== packaging/debian/changelog ===
syslog-ng (3.22.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.22.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Fri, 21 Jun 2019 09:32:54 +0200

syslog-ng (3.21.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.21.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Fri, 03 May 2019 11:11:19 +0200

syslog-ng (3.20.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.20.1

 -- Gabor Nagy <gabor.nagy@balabit.com>  Tue, 26 Feb 2019 16:16:58 +0100

syslog-ng (3.19.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.19.1

 -- Laszlo Varady <laszlo.varady@balabit.com>  Tue, 04 Dec 2018 21:29:49 +0100

syslog-ng (3.18.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.18.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Thu, 11 Oct 2018 20:06:25 +0200

syslog-ng (3.17.2-1) unstable; urgency=medium

  * Upstream upgrade to 3.17.2

 -- Laszlo Budai <laszlo.budai@balabit.com>  Wed, 09 Aug 2018 14:54:37 +0200

syslog-ng (3.17.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.17.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Wed, 08 Aug 2018 15:43:38 +0200

syslog-ng (3.16.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.16.1

 -- Laszlo Varady <laszlo.varady@balabit.com>  Wed, 13 Jun 2018 23:42:55 +0200

syslog-ng (3.15.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.15.1

 -- Gergely Nagy <algernon@balabit.com>  Thu, 19 Apr 2018 10:29:20 +0200

syslog-ng (3.14.1-1) unstable; urgency=medium

  * upstream upgrade to 3.14.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Mon, 26 Feb 2018 13:19:38 +0100

syslog-ng (3.13.1-1) unstable; urgency=medium

  * upstream upgrade to 3.13.1

 -- Balazs Scheidler <balazs.scheidler@balabit.com>  Thu, 30 Nov 2017 21:17:14 -0800

syslog-ng (3.11.1-1) unstable; urgency=medium

  * test release

 -- Laszlo Budai <laszlo.budai@balabit.com>  Tue, 08 Aug 2017 11:37:22 +0200

syslog-ng (3.10.1-3) unstable; urgency=medium

  * [6318b4b] getent module conflicts with old incubator package.
    The getent module was moved from the incubator and therefore
    contains the same files. (Closes: #869159)

 -- SZALAY Attila <sasa@debian.org>  Tue, 25 Jul 2017 22:06:15 +0200

syslog-ng (3.10.1-2) unstable; urgency=medium

  * [a776121] Added new plugins.
      - getent
      - stardate
      - mod-value-pairs
      - snmptrapd-parser
  * [b030059] Added scl to the .install file
  * [e4f5ac4] Bump the debhelper compat level to 10
  * [4e27f27] Fixed debhelper dependency
  * [ff8e0ff] Install new scl files and explicitly mention skipped ones
  * [50b4c13] Fixed 32 bit compile issues.
    This patch is suggested by upstream in github issue 1545.
  * [ae5e271] Remove obsoleted files from debian/
  * [cccc2bb] Added the new packages to the testing
  * [8661982] Removed unneeded prebuild step

 -- SZALAY Attila <sasa@debian.org>  Tue, 04 Jul 2017 22:05:34 +0200

syslog-ng (3.10.1-1) unstable; urgency=medium

  * [e47c9a6] Re-generated openssl patch to make the gbp pq happy
    And a patch were a next session start before the previous
    is finished can be called weird anyway.
  * [114f0e0] Try again using tagged git release as orig.tar.gz
    Now, after some time I'm a bit more confident that using a naked git
    release is better than the full-featured and all-including release.
    First, it is much smaller.  Especially because it does not contain all
    of the third party libraries which are not used in Debian.  Second
    reason is that this can be followed much easily, because this is the
    same as any particular state in the git repo, so a snapshot can be more
    easily used if this is the daily routine.
  * [9c410bb] New upstream version 3.10.1 (closes: #866056)
  * [fa5c024] Preparing for upstream version 3.10.X
  * [c0f99c0] Updated the patches to the new upstream version
    This mainly means deleting patches which already
    merged upstream.
  * [a7b8153] Added new build dependency (autoconf-archive)
  * [9a197e2] Removed version fixation
  * [f52837d] Upgrade test config version
  * [bf45a65] Upgraded default config version to 3.10
  * [fc82e19] Added a new test to test the default config

 -- SZALAY Attila <sasa@debian.org>  Fri, 30 Jun 2017 22:15:28 +0200

syslog-ng (3.8.1-10) unstable; urgency=medium

  * Fix segfault in X509_STORE_CTX_get_app_data(ctx) (closes: #850743).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Feb 2017 08:34:41 +0000

syslog-ng (3.8.1-9) unstable; urgency=medium

  * Fix build with OpenSSL 1.1 (closes: #848786).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Dec 2016 10:44:32 +0000

syslog-ng (3.8.1-8) unstable; urgency=medium

  * [ee388fd] Declaring breaks because of file moving (Closes: 847708)
  * [1ebe21f] Switch to unstable repo
  * [18653b3] Added testing upgrade capability

 -- SZALAY Attila <sasa@debian.org>  Sun, 11 Dec 2016 18:32:35 +0100

syslog-ng (3.8.1-7) unstable; urgency=medium

  * [45109e3] Moved templates depending on json to mod-json (Closes: #845799)
  * [023a862] Added some more testcases to autopkg

 -- SZALAY Attila <sasa@debian.org>  Tue, 06 Dec 2016 23:44:35 +0100

syslog-ng (3.8.1-6) unstable; urgency=medium

  * [41f337f] Updated configuration.
    Removed the deprecated defines from scl.conf
    and upgraded the version of the configuration
    file. (Closes: #843937)

 -- SZALAY Attila <sasa@debian.org>  Fri, 18 Nov 2016 16:23:17 +0100

syslog-ng (3.8.1-5) unstable; urgency=medium

  * [05e9749] Revert export method to head.
    Much cleaner and can be changed in parameter list
    if needed
  * [6b49e04] Added basic test to check if syslog-ng can start
  * [80260f3] Added tzdata dependency, needed by a testcase.
    Because tzdata is neither essential nor build-essential
    package explicit build-dependency is needed. (Closes: #839449)
  * [e68e244] Upgraded ABI version to 3.8
  * [1241045] Temporally stay with the libssl-1.0 until upstream fix this
    (Closes: #828565)
  * [c8dc698] Added dependency to lsb-base as lintian suggested



=== packaging/debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               automake (>= 1:1.11.1),
               autoconf-archive,
               tzdata,
               pkg-config, flex, bison,
               xsltproc, docbook-xsl,
               libesmtp-dev,
               libsnmp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi-dev | libdbi0-dev,
               libssl-dev,
               libmongoc-dev,
               libbson-dev,
               libjson-c-dev | libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               dh-systemd (>= 1.3),
               libsystemd-daemon-dev [linux-any] | libsystemd-dev [linux-any],
               libsystemd-journal-dev (>= 195) | libsystemd-dev [linux-any],
               libgeoip-dev,
               libhiredis-dev,
               libriemann-client-dev (>= 1.6.0~),
               librabbitmq-dev (>= 0.5.3~),
               python, python-dev, pylint, dh-python,
               pep8 | python-pep8,
               python-setuptools,
               dh-exec,
               python-nose, python-ply,
               libxml2-utils, geoip-database,
               libcurl4-openssl-dev,
               libmaxminddb-dev,
               openjdk-7-jdk | openjdk-8-jdk,
               gradle (>=2.2.1),
               librdkafka-dev (>=1.0.0)
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.8
Homepage: http://www.syslog-ng.org/
Vcs-Git: https://github.com/gcsideal/syslog-ng-debian.git
Vcs-Browser: https://github.com/gcsideal/syslog-ng-debian

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Enhanced system logging daemon (metapackage)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Enhanced system logging daemon (debug symbols)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends},
 pkg-config, perl, flex, bison,
 libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Enhanced system logging daemon (development files)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10), lsb-base (>= 3.0-6)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.13.1~)
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.13.1~)
Description: Enhanced system logging daemon (core)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Enhanced system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: syslog-ng-mod-mysql, syslog-ng-mod-pgsql, syslog-ng-mod-sqlite3, syslog-ng-mod-freetds
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-mysql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-mysql
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to MySQL databases.

Package: syslog-ng-mod-pgsql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-pgsql
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to PostgreSQL databases.

Package: syslog-ng-mod-sqlite3
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-sqlite3
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to SQLite databases.

Package: syslog-ng-mod-freetds
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-freetds
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to MSSql/FreeTDS databases.
